<template>
  <div class="default-layout">
    <header
      :class="{'scrolled': scrollPosition > scrollForColorChange || scrollForColorChange === 0}"
    >
      <div class="top-wrapper full">
        <div class="logo-wrapper">
          <Logo />
        </div>
        <div class="menu-wrapper">
          <MainMenu :type="MAIN_MENU_MODES.FULL" />
          <LanguageSelector
            :blog-post-lang-ref="blogPostLangRef"
            :type="MAIN_MENU_MODES.FULL"
          />
        </div>
      </div>
      <div class="top-wrapper reduced">
        <div class="menu-wrapper">
          <MainMenu :type="MAIN_MENU_MODES.REDUCED" />
          <div class="logo-wrapper">
            <Logo />
          </div>
          <LanguageSelector
            :type="MAIN_MENU_MODES.REDUCED"
            :blog-post-lang-ref="blogPostLangRef"
          />
        </div>
      </div>
    </header>
    <main>
      <div id="content-wrapper">
        <div id="content">
          <slot />
        </div>
      </div>
    </main>
    <Footer />
  </div>
</template>

<script src="../scripts/layouts/default-layout.js"/>
<style lang="scss" src="../styles/layouts/default-layout.scss"/>
